'use strict';

// Migracion para crear/destruir la tabla de puntuaciones.

module.exports = {
  up: function (queryInterface, Sequelize) {
    return queryInterface.createTable(
           'Scores', 
           { id:        { type: Sequelize.INTEGER,  allowNull: false,
                          primaryKey: true,         autoIncrement: true,  
                          unique: true },
             name:      { type: Sequelize.STRING,
                          validate: { notEmpty: {msg: "Falta name"}}
                        },
             total:     { type: Sequelize.INTEGER,
                          validate: { notEmpty: {msg: "Falta total"}}
                        },
             createdAt: { type: Sequelize.DATE,     allowNull: false },
             updatedAt: { type: Sequelize.DATE,     allowNull: false }
           },
           { sync: {force: true}
           }
      );
  },

  down: function (queryInterface, Sequelize) {
      return queryInterface.dropTable('Scores');

  }
};
