var express = require('express');
var router = express.Router();


var scoreController = require('../controllers/score_controller');


/* GET home page. */
router.get('/', function(req, res, next) {
  res.render('index');
});


// Autoload de parametros
router.param('scoreId', scoreController.load);  // autoload :scoreId


// Definición de rutas
router.get('/scores.:format?',           scoreController.index);   // listado de todos los scores

router.get('/scores/top3.:format?',      scoreController.top3);   // listado de los 3 mejores scores

router.get('/scores/:scoreId(\\d+).:format?', scoreController.show);    // ver un score

router.get('/scores/new',                scoreController.new);     // formulario para crear score
router.post('/scores.:format?',          scoreController.create);  // crear score


router.get('/scores/:scoreId(\\d+)/edit', scoreController.edit);     // formulario para editar un score
router.put('/scores/:scoreId(\\d+)',      scoreController.update);   // actualizar un score

router.delete('/scores/:scoreId(\\d+)',   scoreController.destroy);  // borrar un score

router.delete('/scores',   scoreController.clean);  // borrar todos

module.exports = router;
